Package com.germinus.easyconf

# Class FileURLChangedReloadingStrategy

FileChangedReloadingStrategy
com.germinus.easyconf.FileConfigurationChangedReloadingStrategy
com.germinus.easyconf.FileURLChangedReloadingStrategy

public class FileURLChangedReloadingStrategy extends FileConfigurationChangedReloadingStrategy
Detects changes in files specified in a URL

Version:
  $Revision: 1.1 $
Author:
  Jorge Ferrer

## Constructor Summary

Constructors
Constructor
Description
`FileURLChangedReloadingStrategy(URL url)`
`FileURLChangedReloadingStrategy(URL url, long refreshDelay)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`reloadingRequired()`

### Methods inherited from class com.germinus.easyconf.FileConfigurationChangedReloadingStrategy

`getFile, getSourceURL, hasChanged, setConfiguration, setSourceURL, updateLastModified`

## Constructor Details

### FileURLChangedReloadingStrategy

public FileURLChangedReloadingStrategy(URL url)

### FileURLChangedReloadingStrategy

public FileURLChangedReloadingStrategy(URL url, long refreshDelay)

## Method Details

### reloadingRequired

public boolean reloadingRequired()